
import { httpApp } from "@/plugins/axiosApp";

export function getDeviceInfo() {
  return httpApp.get(`/api/ess/system/auth/device/info`,{
    responseType: "blob"
  });
}
export function getAuthInfo() {
  return httpApp.get(`/api/ess/system/auth/info`);
}
export function offlineAuth(params:FormData) {
  return httpApp.post(`/api/ess/system/auth/offline`,params);
}
export function onlineAuth(params:{
  accessKey:string,
  accessSecret:string,
  authType:string
}) {
  return httpApp.post(`/api/ess/system/auth/online`,params);
}